Update a click profile
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}
clientIdinteger<int64>Client ID
clickProfileIdinteger<int64>Click profile ID
acceptstringGenerated from available response content types
rulePatternstringRule pattern of the click profile
namestringName of the click profile
descriptionstringDescription of the click profile
ruleTypestring<REGEXP | WILDCARDS | NONE>Rule type of the click profile
200The click profile was updated successfully.
400The request parameters are invalid.
404The click profile could not be found. Ensure that the required parameters such as "clickProfileId" are correct and the click profile exists.
409The click profile is not assigned to the client. Ensure that the required parameters such as "clientId" and "clickProfileId" are correct and the folder exists.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId} \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'name=string' \
--data 'ruleType=NONE'